# (c) cavaliba.com 

# -------------------
# enumerate
# -------------------

- classname: _schema
  keyname: _enumerate
  _action: init
  is_enabled: yes
  displayname: Data Enumerates
  order: 810
  page: Admin
  _options:
      icon: fa-list
      p_admin: p_enumerate_admin
      p_create: p_enumerate_create
      p_read: p_enumerate_read
      p_update: p_enumerate_update
      p_delete: p_enumerate_delete

  description:
    displayname: Description
    order: 100
    dataformat: string
  content:
    displayname: Content
    page: input
    order: 120
    dataformat: text
    dataformat_ext: yaml 

# -------------------
# pipeline
# -------------------


- classname: _schema
  keyname: _pipeline
  displayname: Data Pipelines
  _action: init
  is_enabled: yes
  order: 800
  page: Admin
  _options:
      icon: fa-gears
      p_admin: p_pipeline_admin
      p_create: p_pipeline_create
      p_read: p_pipeline_read
      p_update: p_pipeline_update
      p_delete: p_pipeline_delete

  description:
    displayname: Description
    order: 100
    dataformat: string
  content:
    displayname: Content
    page: Content
    order: 100
    dataformat: text
    dataformat_ext: yaml



# -------------------
# dataview
# -------------------

- classname: _schema
  keyname: _dataview
  displayname: Data Views
  _action: init
  is_enabled: yes
  order: 810
  page: Admin
  _options:
      icon: fa-table
      p_admin: p_dataview_admin
      p_create: p_dataview_create
      p_read: p_dataview_read
      p_update: p_dataview_update
      p_delete: p_dataview_delete
  
  description:
    displayname: Description
    order: 100
    dataformat: string
  target_class:
    displayname: Schema
    order: 110
    dataformat: string
  content:
    displayname: Content
    order: 120
    dataformat: text
    dataformat_ext: yaml



# --------------------------------------------
# apikey
# --------------------------------------------

- classname: _schema
  keyname: _apikey
  _action: init
  is_enabled: yes
  displayname: API Keys
  is_enabled: yes
  order: 820
  page: Admin

  _options:
      icon: fa-key
      p_admin: p_apikey_admin
      p_create: p_apikey_create
      p_read: p_apikey_read
      p_update: p_apikey_update
      p_delete: p_apikey_delete

  keyvalue:
        displayname: Secret
        order: 50
        dataformat: string
  description:
        displayname: Description
        order: 60
        dataformat: string
        default : "API Key"
  is_readonly:
        displayname: Read-Only
        dataformat: boolean
        order: 70
        default: true
  roles:
        order: 80
        displayname: Roles
        dataformat: role
        cardinal_max: 0
  permissions:
        order: 80
        displayname: Permissions
        dataformat: text        
  not_after:
        displayname: Not After
        description: format YYYY-MM-DD
        dataformat: date
  time_filter:
        displayname: Time Filter
        dataformat: text
  ip_filter:
        displayname: IP Filter
        dataformat: text
        default : "*"
  acl_filter:
        displayname: ACL Filter
        cardinal_max: 0
        dataformat: text
  last_success:
        displayname: Last Success
        description: format YYYY-MM-DD
        dataformat: date
  last_error:
        displayname: Last Error
        description: format YYYY-MM-DD
        dataformat: date
  success_count:
        displayname: Success Count
        dataformat: int
  error_count:
        displayname: Error Count
        dataformat: int





